### Enumeration

# Hinawa FwFcpError

since: 2.1

#### Declaration

    error-domain Hinawa.FwFcpError

#### Description [src]

A set of error code for `GError` for operations in `HinawaFwFcp`.

Available since: 2.1

#### Members

`HINAWA_FW_FCP_ERROR_TIMEOUT`

  The transaction is canceled due to response timeout.

  - Value: `0`
  - Available since: 2.1
`HINAWA_FW_FCP_ERROR_LARGE_RESP`

  The size of response is larger than expected.

  - Value: `1`
  - Available since: 2.1
`HINAWA_FW_FCP_ERROR_ABORTED`

  The transaction is aborted due to bus reset.

  - Value: `2`
  - Available since: 2.1

#### Type functions

###### hinawa_fw_fcp_error_quark

Return the `GQuark` for `GError` which has code in `HinawaFwFcpError`.

since: 2.1